Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class SSL3RandomDataParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.SSL3RandomDataParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class SSL3RandomDataParameters
extends java.lang.Object
implements Parameters

This class encapsulates parameters for the Mechanism.SSL3_MASTER_KEY_DERIVE and Mechanism.SSL3_KEY_AND_MAC_DERIVE mechanisms.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected byte[]` | `clientRandom_` The client's random data.
`protected byte[]` | `serverRandom_` The server's random data.

Constructor Summary
`SSL3RandomDataParameters(byte[] clientRandom, byte[] serverRandom)` Create a new SSL3RandomDataParameters object with the given cleint and server random.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`byte[]` | `getClientRandom()` Get the client's random data.
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as a CK_SSL3_RANDOM_DATA object.
`byte[]` | `getServerRandom()` Get the server's random data.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setClientRandom(byte[] clientRandom)` Set the client's random data.
`void` | `setServerRandom(byte[] serverRandom)` Set the server's random data.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### clientRandom_

    protected byte[] clientRandom_

  The client's random data.

### serverRandom_

    protected byte[] serverRandom_

  The server's random data.

Constructor Detail

### SSL3RandomDataParameters

    public SSL3RandomDataParameters(byte[] clientRandom,
                                    byte[] serverRandom)

  Create a new SSL3RandomDataParameters object with the given cleint and server random.
  Parameters:
    `clientRandom` - The client's random data.
    `serverRandom` - The server's random data.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as a CK_SSL3_RANDOM_DATA object.
  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_SSL3_RANDOM_DATA object.

### getClientRandom

    public byte[] getClientRandom()

  Get the client's random data.
  Returns:
    The client's random data.

### getServerRandom

    public byte[] getServerRandom()

  Get the server's random data.
  Returns:
    The server's random data.

### setClientRandom

    public void setClientRandom(byte[] clientRandom)

  Set the client's random data.
  Parameters:
    `clientRandom` - The client's random data.

### setServerRandom

    public void setServerRandom(byte[] serverRandom)

  Set the server's random data.
  Parameters:
    `serverRandom` - The server's random data.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18